// Code generated by protoc-gen-go. DO NOT EDIT.
// source: wallet_command.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type WalletRequest struct {
	Address               string   `protobuf:"bytes,1,opt,name=Address,proto3" json:"Address,omitempty"`
	PublicSignatureBase64 string   `protobuf:"bytes,2,opt,name=PublicSignatureBase64,proto3" json:"PublicSignatureBase64,omitempty"`
	XXX_NoUnkeyedLiteral  struct{} `json:"-"`
	XXX_unrecognized      []byte   `json:"-"`
	XXX_sizecache         int32    `json:"-"`
}

func (m *WalletRequest) Reset()         { *m = WalletRequest{} }
func (m *WalletRequest) String() string { return proto.CompactTextString(m) }
func (*WalletRequest) ProtoMessage()    {}
func (*WalletRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ae880b31b4dd2318, []int{0}
}

func (m *WalletRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WalletRequest.Unmarshal(m, b)
}
func (m *WalletRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WalletRequest.Marshal(b, m, deterministic)
}
func (m *WalletRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WalletRequest.Merge(m, src)
}
func (m *WalletRequest) XXX_Size() int {
	return xxx_messageInfo_WalletRequest.Size(m)
}
func (m *WalletRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_WalletRequest.DiscardUnknown(m)
}

var xxx_messageInfo_WalletRequest proto.InternalMessageInfo

func (m *WalletRequest) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *WalletRequest) GetPublicSignatureBase64() string {
	if m != nil {
		return m.PublicSignatureBase64
	}
	return ""
}

type WalletReponse struct {
	Status               string   `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	Hash                 string   `protobuf:"bytes,3,opt,name=Hash,proto3" json:"Hash,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WalletReponse) Reset()         { *m = WalletReponse{} }
func (m *WalletReponse) String() string { return proto.CompactTextString(m) }
func (*WalletReponse) ProtoMessage()    {}
func (*WalletReponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ae880b31b4dd2318, []int{1}
}

func (m *WalletReponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WalletReponse.Unmarshal(m, b)
}
func (m *WalletReponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WalletReponse.Marshal(b, m, deterministic)
}
func (m *WalletReponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WalletReponse.Merge(m, src)
}
func (m *WalletReponse) XXX_Size() int {
	return xxx_messageInfo_WalletReponse.Size(m)
}
func (m *WalletReponse) XXX_DiscardUnknown() {
	xxx_messageInfo_WalletReponse.DiscardUnknown(m)
}

var xxx_messageInfo_WalletReponse proto.InternalMessageInfo

func (m *WalletReponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *WalletReponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *WalletReponse) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

type AddressRequestEmpty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddressRequestEmpty) Reset()         { *m = AddressRequestEmpty{} }
func (m *AddressRequestEmpty) String() string { return proto.CompactTextString(m) }
func (*AddressRequestEmpty) ProtoMessage()    {}
func (*AddressRequestEmpty) Descriptor() ([]byte, []int) {
	return fileDescriptor_ae880b31b4dd2318, []int{2}
}

func (m *AddressRequestEmpty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressRequestEmpty.Unmarshal(m, b)
}
func (m *AddressRequestEmpty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressRequestEmpty.Marshal(b, m, deterministic)
}
func (m *AddressRequestEmpty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressRequestEmpty.Merge(m, src)
}
func (m *AddressRequestEmpty) XXX_Size() int {
	return xxx_messageInfo_AddressRequestEmpty.Size(m)
}
func (m *AddressRequestEmpty) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressRequestEmpty.DiscardUnknown(m)
}

var xxx_messageInfo_AddressRequestEmpty proto.InternalMessageInfo

type AddressResponse struct {
	Address              string   `protobuf:"bytes,1,opt,name=Address,proto3" json:"Address,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	Status               string   `protobuf:"bytes,3,opt,name=Status,proto3" json:"Status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddressResponse) Reset()         { *m = AddressResponse{} }
func (m *AddressResponse) String() string { return proto.CompactTextString(m) }
func (*AddressResponse) ProtoMessage()    {}
func (*AddressResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ae880b31b4dd2318, []int{3}
}

func (m *AddressResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressResponse.Unmarshal(m, b)
}
func (m *AddressResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressResponse.Marshal(b, m, deterministic)
}
func (m *AddressResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressResponse.Merge(m, src)
}
func (m *AddressResponse) XXX_Size() int {
	return xxx_messageInfo_AddressResponse.Size(m)
}
func (m *AddressResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddressResponse proto.InternalMessageInfo

func (m *AddressResponse) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *AddressResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *AddressResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func init() {
	proto.RegisterType((*WalletRequest)(nil), "WalletRequest")
	proto.RegisterType((*WalletReponse)(nil), "WalletReponse")
	proto.RegisterType((*AddressRequestEmpty)(nil), "AddressRequestEmpty")
	proto.RegisterType((*AddressResponse)(nil), "AddressResponse")
}

func init() {
	proto.RegisterFile("wallet_command.proto", fileDescriptor_ae880b31b4dd2318)
}

var fileDescriptor_ae880b31b4dd2318 = []byte{
	// 255 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x91, 0xcd, 0x4b, 0xc3, 0x40,
	0x10, 0xc5, 0xed, 0x07, 0x11, 0x07, 0xac, 0x32, 0xb6, 0x12, 0x7a, 0x92, 0x3d, 0x89, 0x87, 0x1c,
	0xb4, 0xf4, 0x6e, 0x8b, 0xa0, 0x07, 0x45, 0x5a, 0x44, 0x10, 0xa4, 0x4c, 0x9a, 0xa1, 0x16, 0xf2,
	0x65, 0x66, 0x42, 0xf1, 0xbf, 0x17, 0x37, 0x1b, 0xa3, 0xa5, 0xbd, 0xe5, 0xbd, 0x0c, 0xef, 0xfd,
	0x66, 0x07, 0xfa, 0x1b, 0x8a, 0x63, 0xd6, 0xc5, 0x32, 0x4b, 0x12, 0x4a, 0xa3, 0x20, 0x2f, 0x32,
	0xcd, 0xcc, 0x02, 0x8e, 0x5f, 0xad, 0x3f, 0xe3, 0xcf, 0x92, 0x45, 0xd1, 0x87, 0xc3, 0xdb, 0x28,
	0x2a, 0x58, 0xc4, 0x6f, 0x5d, 0xb4, 0x2e, 0x8f, 0x66, 0xb5, 0xc4, 0x11, 0x0c, 0x9e, 0xcb, 0x30,
	0x5e, 0x2f, 0xe7, 0xeb, 0x55, 0x4a, 0x5a, 0x16, 0x3c, 0x21, 0xe1, 0xf1, 0xc8, 0x6f, 0xdb, 0xb9,
	0xdd, 0x3f, 0xcd, 0x4b, 0x53, 0x90, 0x67, 0xa9, 0x30, 0x9e, 0x83, 0x37, 0x57, 0xd2, 0xb2, 0xce,
	0x77, 0xea, 0xa7, 0xf8, 0x91, 0x45, 0x68, 0xc5, 0x2e, 0xb0, 0x96, 0x88, 0xd0, 0xbd, 0x27, 0xf9,
	0xf0, 0x3b, 0xd6, 0xb6, 0xdf, 0x66, 0x00, 0x67, 0x8e, 0xcb, 0x81, 0xdf, 0x25, 0xb9, 0x7e, 0x99,
	0x77, 0x38, 0xf9, 0xb5, 0xa5, 0xea, 0xdb, 0xbf, 0xd0, 0xfe, 0xc6, 0x86, 0xb1, 0xf3, 0x97, 0xf1,
	0x5a, 0xa1, 0xf7, 0x50, 0x6d, 0x33, 0xad, 0x5e, 0x11, 0xc7, 0x00, 0x4f, 0xbc, 0xa9, 0x13, 0xfb,
	0xc1, 0x0e, 0xa8, 0xe1, 0x69, 0xb0, 0xc5, 0x64, 0x0e, 0xf0, 0x0a, 0xbc, 0x69, 0xc1, 0xa4, 0x8c,
	0xbd, 0xe0, 0xdf, 0x01, 0x86, 0x8d, 0x76, 0xb3, 0x93, 0xee, 0x5b, 0x3b, 0x0f, 0x43, 0xcf, 0x1e,
	0xec, 0xe6, 0x3b, 0x00, 0x00, 0xff, 0xff, 0x62, 0x44, 0x04, 0x9b, 0xc8, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IWalletCommandClient is the client API for IWalletCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IWalletCommandClient interface {
	NewAddress(ctx context.Context, in *AddressRequestEmpty, opts ...grpc.CallOption) (*AddressResponse, error)
	Create(ctx context.Context, in *WalletRequest, opts ...grpc.CallOption) (*WalletReponse, error)
}

type iWalletCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewIWalletCommandClient(cc grpc.ClientConnInterface) IWalletCommandClient {
	return &iWalletCommandClient{cc}
}

func (c *iWalletCommandClient) NewAddress(ctx context.Context, in *AddressRequestEmpty, opts ...grpc.CallOption) (*AddressResponse, error) {
	out := new(AddressResponse)
	err := c.cc.Invoke(ctx, "/IWalletCommand/NewAddress", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iWalletCommandClient) Create(ctx context.Context, in *WalletRequest, opts ...grpc.CallOption) (*WalletReponse, error) {
	out := new(WalletReponse)
	err := c.cc.Invoke(ctx, "/IWalletCommand/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IWalletCommandServer is the server API for IWalletCommand service.
type IWalletCommandServer interface {
	NewAddress(context.Context, *AddressRequestEmpty) (*AddressResponse, error)
	Create(context.Context, *WalletRequest) (*WalletReponse, error)
}

// UnimplementedIWalletCommandServer can be embedded to have forward compatible implementations.
type UnimplementedIWalletCommandServer struct {
}

func (*UnimplementedIWalletCommandServer) NewAddress(ctx context.Context, req *AddressRequestEmpty) (*AddressResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewAddress not implemented")
}
func (*UnimplementedIWalletCommandServer) Create(ctx context.Context, req *WalletRequest) (*WalletReponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}

func RegisterIWalletCommandServer(s *grpc.Server, srv IWalletCommandServer) {
	s.RegisterService(&_IWalletCommand_serviceDesc, srv)
}

func _IWalletCommand_NewAddress_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddressRequestEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IWalletCommandServer).NewAddress(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IWalletCommand/NewAddress",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IWalletCommandServer).NewAddress(ctx, req.(*AddressRequestEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

func _IWalletCommand_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(WalletRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IWalletCommandServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IWalletCommand/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IWalletCommandServer).Create(ctx, req.(*WalletRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _IWalletCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IWalletCommand",
	HandlerType: (*IWalletCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "NewAddress",
			Handler:    _IWalletCommand_NewAddress_Handler,
		},
		{
			MethodName: "Create",
			Handler:    _IWalletCommand_Create_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "wallet_command.proto",
}
